FlyingDutchman
Posts: 2
Joined: Mon Jan 29, 2018 7:34 pm

JavaFX; Java 8

Mon Jan 29, 2018 8:25 pm

Hi was I was hoping to get a little hand holding. I've been looking over forums for several days and I've become impatient. It's critical to get this app to work for my Raspberry in order to fulfill it's purpose.
I need to use a trading platform called ThinkorSwim. I've installed it and everything seems fine right up until I try to fire it up. I get the following error message:

JavaFX is not found in Java used by thinkorswim. Please set Oracle Java 8 as default java for thinkorswim. Java must include JavaFX and Java 8 has it, but Open JDK 8 has not.

Everything on the subject I've found is kind of old. One reason for me switching to this little computer is I know it will do anything I want it to if I can just figure out how to do it. I'm very new to this stuff so please forgive my noobiness.

If this is in the wrong place sorry, I've never posted to a forum before. I really really need to sort out this out though as soon as possible so if there's someone who can get through this I sure would appreciate it

FlyingDutchman
Posts: 2
Joined: Mon Jan 29, 2018 7:34 pm

Re: JavaFX; Java 8

Thu Feb 01, 2018 6:43 pm

So through some digging around I was able to switch from JavaJDK to Java 8 but I still get the same message. I found some forums using thinkorswim on a Linux box, followed the instructions exactly and everything in the terminal seemed to be a good match but it seemed to make things worse. Now starting thinkorswim on my home screen doesn't work at all but when I execute it from it's folder it does like before and gives the same error message.

knute
Posts: 445
Joined: Thu Oct 23, 2014 12:14 am
Location: Texas
Contact: Website

Re: JavaFX; Java 8

Thu Feb 01, 2018 7:15 pm

The current Java 8 in the RPi does not have JavaFX. I don't know about OpenJDK but I don't think so.

Take a look at: http://docs.gluonhq.com/javafxports/

Return to “Troubleshooting”